#include "KPlayerController.h"

#include "KInput.h"

namespace KapitanGame {
	void KPlayerController::SetupInputBindings(KInput& input)
	{
		input.BindAxis("MoveYAxis", this, &KPlayerController::MoveYAxis, Player);
		input.BindAxis("MoveXAxis", this, &KPlayerController::MoveXAxis, Player);
	}

	void KPlayerController::MoveYAxis(const float axis)
	{
		Input.Y += axis;
	}
	void KPlayerController::MoveXAxis(const float axis)
	{
		Input.X += axis;
	}

	void KPlayerController::Update(float deltaTime)
	{
		Input.Normalize();
		Pawn->AddMovementInput(Input);
		Input = KVector2D(0.f, 0.f);
	}
}
