#pragma once
#include "Controllers.h"
#include "KPlayer.h"
#include "KShape.h"
#include "KVector2d.h"

namespace KapitanGame {
	class KInput;

	class KPlayerController
	{
	public:
		KPlayerController(const KPlayer player) : Input(0.f, 0.f), Player(player)
		{
		}

		void SetupInputBindings(KInput& input);
		void MoveYAxis(float axis);
		void MoveXAxis(float axis);
		void Update(float deltaTime);
	private:
		KVector2D Input;
		KPlayer Player;
		KShape* Pawn;
	};
	typedef void (KPlayerController::* KPlayerCommand)();
	typedef void (KPlayerController::* KPlayerAxisCommand)(float input);
}


